import { SpreadsheetSelectionChangedEventArgs as SpreadsheetSelectionChangedEventArgs_internal } from "./SpreadsheetSelectionChangedEventArgs";
import { SpreadsheetPane } from "./SpreadsheetPane";
/**
 * Event arguments for the
 * selectionChanged event.
*/
export declare class IgcSpreadsheetSelectionChangedEventArgs {
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): SpreadsheetSelectionChangedEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    /**
     * Returns the pane whose selection has been changed.
    */
    get pane(): SpreadsheetPane;
}
